package com.goldenwater.system.domain;

import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.goldenwater.common.core.domain.BaseEntity;

/**
 * 系统模板表 sys_template
 * 
 * @author goldenwater
 */
public class SysTemplate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模板编码 */
    private String tplCode;

    /** 模板标题 */
    private String tplTitle;

    /** 模板类型 */
    private String tplType;

    /** 模板文件路径 */
    private String tplFilepath;

    /** 模板文件名 */
    private String tplFilename;

    /** 模板描述 */
    private String tplDesc;

    /** 模板时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date tplTime;

    /** 模板内容 */
    private String tplContent;

    public String getTplCode()
    {
        return tplCode;
    }

    public void setTplCode(String tplCode)
    {
        this.tplCode = tplCode;
    }

    public String getTplTitle()
    {
        return tplTitle;
    }

    public void setTplTitle(String tplTitle)
    {
        this.tplTitle = tplTitle;
    }

    public String getTplType()
    {
        return tplType;
    }

    public void setTplType(String tplType)
    {
        this.tplType = tplType;
    }

    public String getTplFilepath()
    {
        return tplFilepath;
    }

    public void setTplFilepath(String tplFilepath)
    {
        this.tplFilepath = tplFilepath;
    }

    public String getTplFilename()
    {
        return tplFilename;
    }

    public void setTplFilename(String tplFilename)
    {
        this.tplFilename = tplFilename;
    }

    public String getTplDesc()
    {
        return tplDesc;
    }

    public void setTplDesc(String tplDesc)
    {
        this.tplDesc = tplDesc;
    }

    public Date getTplTime()
    {
        return tplTime;
    }

    public void setTplTime(Date tplTime)
    {
        this.tplTime = tplTime;
    }

    public String getTplContent()
    {
        return tplContent;
    }

    public void setTplContent(String tplContent)
    {
        this.tplContent = tplContent;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("tplCode", getTplCode())
            .append("tplTitle", getTplTitle())
            .append("tplType", getTplType())
            .append("tplFilepath", getTplFilepath())
            .append("tplFilename", getTplFilename())
            .append("tplDesc", getTplDesc())
            .append("tplTime", getTplTime())
            .append("tplContent", getTplContent())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
